Skip to main content

## Value

# Type Alias Value

Source

    pub type Value<'tcx> = Result<TyAndLayout<'tcx>, &'tcx LayoutError<'tcx>>;

## Aliased Type§

    pub enum Value<'tcx> {
        Ok(TyAndLayout<'tcx, Ty<'tcx>>),
        Err(&'tcx LayoutError<'tcx>),
    }

## Variants§

§

### Ok(TyAndLayout<'tcx, Ty<'tcx>>)

Contains the success value

§

### Err(&'tcx LayoutError<'tcx>)

Contains the error value

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.